[Debian-live-changes] r2243 - in dists/trunk/live-helper: . debian docs examples/hooks helpers

daniel at alioth.debian.org daniel at alioth.debian.org
Mon Jun 25 10:14:16 UTC 2007


Author: daniel
Date: 2007-06-25 10:14:16 +0000 (Mon, 25 Jun 2007)
New Revision: 2243

Added:
   dists/trunk/live-helper/examples/hooks/qemu-launcher.sh
   dists/trunk/live-helper/helpers/lh_binary_local-hooks
Modified:
   dists/trunk/live-helper/Makefile
   dists/trunk/live-helper/debian/changelog
   dists/trunk/live-helper/docs/ChangeLog
   dists/trunk/live-helper/helpers/lh_binary
   dists/trunk/live-helper/helpers/lh_config
Log:


Modified: dists/trunk/live-helper/Makefile
===================================================================
--- dists/trunk/live-helper/Makefile	2007-06-25 10:01:56 UTC (rev 2242)
+++ dists/trunk/live-helper/Makefile	2007-06-25 10:14:16 UTC (rev 2243)
@@ -91,15 +91,15 @@
 update:
 	set -e; for MANPAGE in manpages/*.de.* manpages/*.en.*; \
 	do \
-		sed -i	-e 's/2007\\-06\\-18/2007\\-06\\-25/' \
-			-e 's/18.06.2007/25.06.2007/' \
-			-e 's/1.0~a15/1.0~a16/' \
+		sed -i	-e 's/2007\\-06\\-25/2007\\-07\\-02/' \
+			-e 's/25.06.2007/02.07.2007/' \
+			-e 's/1.0~a16/1.0~a17/' \
 		$$MANPAGE; \
 	done
 
 	set -e; for SCRIPT in functions/*.sh examples/cron/*.sh; \
 	do \
-		sed -i -e 's/1.0~a15/1.0~a16/' $$SCRIPT; \
+		sed -i -e 's/1.0~a16/1.0~a17/' $$SCRIPT; \
 	done
 
 clean:

Modified: dists/trunk/live-helper/debian/changelog
===================================================================
--- dists/trunk/live-helper/debian/changelog	2007-06-25 10:01:56 UTC (rev 2242)
+++ dists/trunk/live-helper/debian/changelog	2007-06-25 10:14:16 UTC (rev 2243)
@@ -1,4 +1,4 @@
-live-helper (1.0~a16-1) UNRELEASED; urgency=medium
+live-helper (1.0~a16-1) unstable; urgency=medium
 
   * New upstream release.
 

Modified: dists/trunk/live-helper/docs/ChangeLog
===================================================================
--- dists/trunk/live-helper/docs/ChangeLog	2007-06-25 10:01:56 UTC (rev 2242)
+++ dists/trunk/live-helper/docs/ChangeLog	2007-06-25 10:14:16 UTC (rev 2243)
@@ -1,8 +1,16 @@
+2007-06-25  Daniel Baumann  <daniel at debian.org>
+
+	* helpers/lh_binary_local-hooks:
+	  - Added.
+	* examples/hooks/qemu-launcher.sh:
+	  - Added.
+	* Uploaded 1.0~a16-1.
+
 2007-06-18  Chris Lamb  <chris at chris-lamb.co.uk>
-	
-	* helpers/lh_chroot_packageslists, helpers/lh_chroot_local-packageslists:
+
+	* helpers/lh_chroot_packageslists, lh_chroot_local-packageslists:
 	  - Added support for '#<include>' pragma to include other list files.
-	* functions/package_lists.sh:
+	* functions/packagelists.sh:
 	  - Added.
 	* lists/*:
 	  - Translated existing lists to be include-based, added a few missing

Added: dists/trunk/live-helper/examples/hooks/qemu-launcher.sh
===================================================================
--- dists/trunk/live-helper/examples/hooks/qemu-launcher.sh	                        (rev 0)
+++ dists/trunk/live-helper/examples/hooks/qemu-launcher.sh	2007-06-25 10:14:16 UTC (rev 2243)
@@ -0,0 +1,9 @@
+#!/bin/sh
+
+# This is a hook for live-helper(7) to install autorun4linuxCD.
+# autorun4linuxCD was written by Franklin Piat <fpiat at bigfoot.com>.
+#
+# To enable it, copy this hook into your config/binary_local-hooks directory.
+
+cd binary
+wget http://www.klabs.be/~fpiat/projects/autorun4linuxCD/autorun4linuxCD.tar.gz


Property changes on: dists/trunk/live-helper/examples/hooks/qemu-launcher.sh
___________________________________________________________________
Name: svn:executable
   + *

Modified: dists/trunk/live-helper/helpers/lh_binary
===================================================================
--- dists/trunk/live-helper/helpers/lh_binary	2007-06-25 10:01:56 UTC (rev 2242)
+++ dists/trunk/live-helper/helpers/lh_binary	2007-06-25 10:14:16 UTC (rev 2243)
@@ -48,6 +48,7 @@
 lh_binary_yaboot ${*}
 lh_binary_includes ${*}
 lh_binary_local-includes ${*}
+lh_binary_local-hooks ${*}
 lh_binary_md5sum ${*}
 
 # Building images

Added: dists/trunk/live-helper/helpers/lh_binary_local-hooks
===================================================================
--- dists/trunk/live-helper/helpers/lh_binary_local-hooks	                        (rev 0)
+++ dists/trunk/live-helper/helpers/lh_binary_local-hooks	2007-06-25 10:14:16 UTC (rev 2243)
@@ -0,0 +1,60 @@
+#!/bin/sh
+
+# lh_binary_local-hooks(1) - execute local hooks in binary
+# Copyright (C) 2006-2007 Daniel Baumann <daniel at debian.org>
+#
+# live-helper comes with ABSOLUTELY NO WARRANTY; for details see COPYING.
+# This is free software, and you are welcome to redistribute it
+# under certain conditions; see COPYING for details.
+
+set -e
+
+# Including common functions
+LH_BASE="${LH_BASE:-/usr/share/live-helper}"
+
+for FUNCTION in "${LH_BASE}"/functions/*.sh
+do
+	. "${FUNCTION}"
+done
+
+# Setting static variables
+DESCRIPTION="execute local hooks in binary"
+HELP=""
+USAGE="${PROGRAM} [--force]"
+
+Arguments "${@}"
+
+# Reading configuration files
+Read_conffile config/common
+Read_conffile config/bootstrap
+Read_conffile config/chroot
+Read_conffile config/binary
+Read_conffile config/source
+Set_defaults
+
+Echo_message "Begin executing local hooks..."
+
+# Requiring stage file
+Require_stagefile .stage/bootstrap
+
+# Checking stage file
+Check_stagefile .stage/binary_local-hooks
+
+# Checking lock file
+Check_lockfile .lock
+
+# Creating lock file
+Create_lockfile .lock
+
+# Processing local-hooks
+if ls config/binary_local-hooks/* > /dev/null 2>&1
+then
+	for HOOK in config/binary_local-hooks/*
+	do
+		# Executing hook
+		./"${HOOK}"
+	done
+
+	# Creating stage file
+	Create_stagefile .stage/binary_local-hooks
+fi


Property changes on: dists/trunk/live-helper/helpers/lh_binary_local-hooks
___________________________________________________________________
Name: svn:executable
   + *

Modified: dists/trunk/live-helper/helpers/lh_config
===================================================================
--- dists/trunk/live-helper/helpers/lh_config	2007-06-25 10:01:56 UTC (rev 2242)
+++ dists/trunk/live-helper/helpers/lh_config	2007-06-25 10:14:16 UTC (rev 2243)
@@ -291,6 +291,7 @@
 
 # Creating lh_binary_* configuration
 mkdir -p "${LIVE_ROOT}"/config/binary_grub
+mkdir -p "${LIVE_ROOT}"/config/binary_local-hooks
 mkdir -p "${LIVE_ROOT}"/config/binary_local-includes
 mkdir -p "${LIVE_ROOT}"/config/binary_local-udebs
 mkdir -p "${LIVE_ROOT}"/config/binary_rootfs




More information about the Debian-live-changes mailing list